--- a/jdk/test/java/util/Currency/PropertiesTest.sh Thu May 19 17:48:01 2016 +0000
+++ b/jdk/test/java/util/Currency/PropertiesTest.sh Wed Jul 05 21:44:52 2017 +0200
@@ -23,7 +23,8 @@
#
# @test
-# @bug 6332666 6863624 7180362 8003846 8074350 8074351 8130246 8149735
+# @bug 6332666 6863624 7180362 8003846 8074350 8074351 8130246 8149735 7102969
+# 8157138
# @summary tests the capability of replacing the currency data with user
# specified currency properties file
# @build PropertiesTest
@@ -113,6 +114,16 @@
if [ $? != 0 ]; then failures=`expr $failures + 1`; fi
if [ ! -f dump3 ]; then echo "file dump3 not created. Test cannot execute. Failed."; exit 1; fi
+# run bug7102969 test
+echo ''
+${WRITABLEJDK}${FS}bin${FS}java ${TESTVMOPTS} -cp ${TESTCLASSES} PropertiesTest bug7102969
+if [ $? != 0 ]; then failures=`expr $failures + 1`; fi
+
+# run bug8157138 test
+echo ''
+${WRITABLEJDK}${FS}bin${FS}java ${TESTVMOPTS} -cp ${TESTCLASSES} PropertiesTest bug8157138
+if [ $? != 0 ]; then failures=`expr $failures + 1`; fi
+
# Cleanup
rm -rf $WRITABLEJDK